/** NinetyNineBottlesSong displays the lyrics to the infamous song...
 * @author Joel Adams, for Alice+Java.
 */

public class NinetyNineBottlesSong {
	public NinetyNineBottlesSong() {
		myLyrics = "";
		for (int i = 99; i > 0; i--) {
			myLyrics += (getVerse(i) + "\n");
		}
	}

	public String getLyrics() { return myLyrics; }
	
	public String getVerse(int numBottles) {
		String result = numBottles + " bottles of pop on the wall,\n"
		              + numBottles + " bottles of pop,\n"
		              + "take one down, pass it around\n"
		              + (numBottles-1) + " bottles of pop on the wall.\n";
		return result;
	}
	
	private String myLyrics;
	
	public static void main(String[] args) {
		NinetyNineBottlesSong self = new NinetyNineBottlesSong();
		System.out.println( self.getLyrics() );
	}
}
